import request from '@/utils/request'

// 查询AI适配场景字段配置信息列表
export function listAiSceneDisplayFields(query) {
  return request({
    url: '/sfa/aiSceneDisplayFields/list',
    method: 'get',
    params: query
  })
}

// 查询AI适配场景字段配置信息详细
export function getAiSceneDisplayFields(displayFieldsId) {
  return request({
    url: '/sfa/aiSceneDisplayFields/' + displayFieldsId,
    method: 'get'
  })
}

// 新增AI适配场景字段配置信息
export function addAiSceneDisplayFields(data) {
  return request({
    url: '/sfa/aiSceneDisplayFields',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景字段配置信息
export function updateAiSceneDisplayFields(data) {
  return request({
    url: '/sfa/aiSceneDisplayFields',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景字段配置信息
export function delAiSceneDisplayFields(displayFieldsId) {
  return request({
    url: '/sfa/aiSceneDisplayFields/' + displayFieldsId,
    method: 'delete'
  })
}
